<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.grid.GridWgNoticeMapper">

    <resultMap type="com.ruoyi.system.domain.grid.GridWgNotice" id="GridWgNoticeResult">
        <result property="noticeId" column="notice_id"/>
        <result property="noticeTitle" column="notice_title"/>
        <result property="noticeSource" column="notice_source"/>
        <result property="noticeTop" column="notice_top"/>
        <result property="noticeContent" column="notice_content"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="hiddenType" column="hidden_type"/>
        <result property="valid" column="valid"/>
        <result property="createCode" column="create_code"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        notice_id, notice_title, notice_source, notice_top, notice_content, create_by, create_time, update_by, update_time, hidden_type, valid, create_code
    </sql>
</mapper>
